### Enumerate

Category

Realization

Function

Generates a numeric list.

Syntax

    list = Enumerate(start, end, count, delta, method);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`start` | scalar or vector | input dependent | first value in list
`end` | scalar or vector | input dependent | last value in list
`count` | integer | input dependent | number of entries in list
`delta` | scalar or vector | input dependent | numeric spacing
`method` | string | "linear" | method

Outputs

Name | Type | Description
--- | --- | ---
`list` | value list | the numeric list

Functional Details

This module creates a list of numeric values.

`start` | specifies the first value in the list.
`end` | specifies the last value in the list.
`count` | specifies the number of items in the list.
`delta` | specifies the numerical spacing between successive items in the list. If `start` and `end` are vector values and this parameter is specified, it must be specified as a matching vector.
`method` | specifies the type of list to be created. At present, the specification must be "linear." The list created is a linear sequence of numbers from `start` to `end`, containing `count` items or containing items separated by a spacing interval of `delta`.

Note: Only three of the first four parameters are required. If all four are specified, `delta` is ignored.

Example Visual Program

    ContoursAndCaption.net

[ OpenDX Home at IBM | OpenDX.org ]